Name: fpc
Version: 2.1.4
Release: alt2

Summary: Free Pascal Compiler
License: GPL
Group: Development/Other

Url: http://www.freepascal.org
Source: http://puzzle.dl.sourceforge.net/sourceforge/freepascal/fpcbuild-%version.tar.gz
Source1: fp.desktop

## makedoc 1 not work !!!
%define makedoc 0
%define makesrc 1
%define maketests 0

ExclusiveOS: Linux
ExclusiveArch: %ix86 amd64 x86_64
Requires: fpc-units-rtl fpc-compiler fpc-units-base fpc-ide fpc-units-fcl fpc-units-fv fpc-units-gtk fpc-units-gtk2 fpc-units-gnome1 fpc-units-db fpc-units-gfx fpc-units-net fpc-units-misc fpc-units-media 

BuildRequires: fpc rpm-build-fpc
%if %makedoc
BuildRequires: tetex latex2html tetex-bibtex8 tetex-context tetex-dvilj tetex-latex tetex-latex-babelbib tetex-latex-beamer tetex-devel
%endif

%ifarch %ix86
%define ppctarget i386-linux
%else
%define ppctarget x86_64-linux
%endif
%define ppcname %(basename `fpc -PB`)

%description
Free Pascal Compiler -- Meta Package
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Basic Delphi support is already
implemented (classes, exceptions, ansistrings, open arayes). This package
contains dependency on all FPC packages provided on your architecture. You need
at least the RTL package before you can start compiling anything, but if you
want to write any real-world program, you may need to install this meta package.
	 
%prep
%setup -q -n fpcbuild-%version

%build
# install src
%__rm -rf ../fpcsrc
%__mkdir_p ../fpcsrc
%__cp -fR  fpcsrc/* ../fpcsrc/

export OPT="-vwn "

(cd fpcsrc/compiler; fpcmake -r -Tall)
(cd fpcsrc/rtl; fpcmake -r -Tall)
(cd fpcsrc/packages; fpcmake -r -Tall)
(cd fpcsrc/utils; fpcmake -r -Tall)

# bootstrap fpc
make -C fpcsrc/compiler cycle RELEASE=1
cp -pv fpcsrc/compiler/%ppcname %ppcname

# bootstrap fpcmake
%fpc_build FPC=$PWD/%ppcname FPCDIR=$PWD -C fpcsrc/rtl
%fpc_build FPC=$PWD/%ppcname FPCDIR=$PWD -C fpcsrc/compiler
%fpc_build FPC=$PWD/%ppcname FPCDIR=$PWD -C fpcsrc/packages base_smart
%fpc_build FPC=$PWD/%ppcname FPCDIR=$PWD -C fpcsrc/utils
cp -pv fpcsrc/utils/fpcm/fpcmake fpcmake

#Fix path
%ifarch x86_64
%__subst "s|/lib/fpc/lexyacc|/lib64/fpc/lexyacc|g" fpcsrc/utils/tply/Makefile.fpc
%endif

# Begin make all use new fpcmake
./fpcmake -r -Tall

%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/rtl
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/compiler
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/packages base_smart
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/packages fcl_smart
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/fv
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/packages extra_smart
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/ide
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/utils

%if %makedoc
%fpc_build FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD INSTALL_DOCDIR=%buildroot%_docdir/%name-%version -C fpcdocs pdf
%endif

%ifnarch %ix86
%fpc_make  FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD CROSSINSTALL=1 PPC_TARGET=i386 -C fpcsrc/compiler
cp -pv fpcsrc/compiler/ppc386 ppc386
%endif

%fpc_build_win32 FPC=$PWD/ppc386 FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/rtl

%if %maketests
%__make TEST_FPC=$PWD/%ppcname FPCDIR=$PWD -C fpcsrc/tests all
%endif
		  
%install
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/compiler
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/rtl
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/packages
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD -C fpcsrc/fv
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD INSTALL_DOCDIR=%buildroot%_docdir/%name-%version -C fpcsrc/ide
%fpc_install FPC=$PWD/%ppcname FPCMAKE=$PWD/fpcmake FPCDIR=$PWD INSTALL_PREFIX=%buildroot%_usr -C fpcsrc/utils

# this symbolic link must be absolute (so that fpcmake can detect FPCDIR)
ln -s %fpc_dir/%ppcname %buildroot%_bindir/%ppcname

%ifnarch %ix86
install -pD -m755 ppc386 %buildroot%fpc_dir/ppc386
ln -s %fpc_dir/ppc386 %buildroot%_bindir/ppc386
%endif

#Install for win32
%fpc_install_win32 FPC=$PWD/ppc386 FPCMAKE=$PWD/fpcmake -C fpcsrc/rtl
#Install man
%__make INSTALL_PREFIX=%buildroot%_datadir -C install/man installman
# Create fpc.cfg which is included as conffile
chmod 755 fpcsrc/compiler/utils/samplecfg
fpcsrc/compiler/utils/samplecfg "%fpc_dir" %buildroot%_sysconfdir

#Install src
%if %makesrc
%__mkdir_p %buildroot%_datadir/fpcsrc
%__cp -fR ../fpcsrc %buildroot%_datadir/
%add_verify_elf_skiplist */fpcsrc/*
%add_findreq_skiplist */fpcsrc/*
%endif

%__mkdir_p %buildroot%_datadir/pixmaps
%__mkdir_p %buildroot%_datadir/applications
%__install -p -m 644 %SOURCE1 %buildroot%_datadir/applications
%__install -p -m 644 install/unix/fp32x32.xpm %buildroot%_datadir/pixmaps/fp.xpm

#Fix for depend
%ifarch x86_64
%__install -p -m 644 fpcsrc/utils/fppkg/units/x86_64-linux/*.{o,ppu} %buildroot%fpc_dir/units/x86_64-linux/fppkg/
%__subst "s|\$fpctarget|x86_64-linux|g" %buildroot%_sysconfdir/%name.cfg
%else
%__install -p -m 644 fpcsrc/utils/fppkg/units/i386-linux/*.{o,ppu} %buildroot%fpc_dir/units/i386-linux/fppkg/
%__subst "s|\$fpctarget|i386-linux|g" %buildroot%_sysconfdir/%name.cfg
%endif
%__subst "s|\$fpcversion|fpc|g" %buildroot%_sysconfdir/%name.cfg

%files

%package -n %name-compiler
Summary: Free Pascal -- Compiler
Group: Development/Other
#Requires: %name = %version-%release
Obsoletes: fpc <= 2.1-alt3

%description -n %name-compiler
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Basic Delphi support is already
implemented (classes, exceptions, ansistrings). This package contains the
command line compiler. You need at least the RTL package before you can start
compiling anything.

%files -n %name-compiler
%config(noreplace) %_sysconfdir/%name.cfg
%dir %_defaultdocdir/%name-%version
%dir %fpc_dir
%doc install/doc/copying* install/doc/whatsnew.txt install/doc/readme.txt install/doc/faq.txt
%_bindir/fpc
%_bindir/ppc*
%_bindir/fpcsubst
%_bindir/fpcmkcfg
%_bindir/fppkg
%_bindir/grab_vcsa
%fpc_dir/samplecfg
%fpc_dir/ppc*
%fpc_dir/msg

#%doc /usr/share/doc/fp-compiler
%_man1dir/fpc.*
%_man1dir/ppc*.*
%_man1dir/grab_vcsa.*
%_man5dir/fpc.cfg.*

# utils
%package utils
Summary: Free Pascal -- Utils
Group: Development/Other
#Requires: %name = %version-%release
Obsoletes: fpcmake data2inc

%description utils
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains some handy utils for usage with the Free Pascal
Compiler:
   - ppumove     Place multiple units in a shared library
   - ppufiles    Show needed files for units
   - ppudump     Dump the information stored in a .ppu (unit) file
   - fpcmake     Create Makefile from Makefile.fpc
   - h2pas       Convert .h files to pascal units
   - ppdep       Create a dependency file which can be used with Makefiles
   - ptop        Source beautifier
   - data2inc    Convert binary/text data to include files
   - plex/pyacc  Pascal Lex/Yacc implementation

%files utils
%_bindir/ppufiles
%_bindir/ppudump
%_bindir/ppumove
%_bindir/ppdep
%_bindir/ptop
%_bindir/rstconv
%_bindir/data2inc
%_bindir/bin2obj
%_bindir/delp
%_bindir/plex
%_bindir/pyacc
%_bindir/h2pas
%_bindir/h2paspp
%_bindir/postw32
%_bindir/fpcmake
%_bindir/fpcres
%_bindir/fprcp
%_bindir/fpdoc
%_bindir/makeskel
%_bindir/unitdiff
%_bindir/mkxmlrpc
%_bindir/rmcvsdir
%fpc_dir/units/%ppctarget/lexyacc
%fpc_dir/lexyacc/yylex.cod
%fpc_dir/lexyacc/yyparse.cod
%_man1dir/bin2obj.1*
%_man1dir/data2inc.1*
%_man1dir/fprcp.1*
%_man1dir/h2paspp.1*
%_man1dir/makeskel.1*
%_man1dir/postw32.1*
%_man1dir/unitdiff.1*
%_man1dir/delp.1*
%_man1dir/fpcmake.1*
%_man1dir/h2pas.1*
%_man1dir/plex.1*
%_man1dir/ppdep.1*
%_man1dir/ppudump.1*
%_man1dir/ppufiles.1*
%_man1dir/ppumove.1*
%_man1dir/ptop.1*
%_man1dir/pyacc.1*
%_man1dir/rstconv.1*
%_man1dir/fpdoc.1*
%_man5dir/fpcmake.5*
%_man5dir/ptop.cfg.5*

# packages/rtl
%package units-rtl
Summary: Free Pascal -- Runtime Library
Group: Development/Other
#Requires: %name = %version-%release

%description units-rtl
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible
32/64-bit Pascal Compiler. It comes with a fully compatible TP 7.0
runtime library.  This package contains Free Pascal units for common
libraries.  Some of these units are also required by the Free Component
Library.

%files units-rtl
%fpc_dir/units/%ppctarget/rtl

# packages/base
%package units-base
Summary: Free Pascal -- base units
Group: Development/Other
#Requires: %name = %version-%release

%description units-base
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units for common libraries.  Some of these
units are also required by the Free Component Library:
    - X11 (Xlib, Xutil)
    - NCurses
    - ZLib
 
%files units-base
#%doc /usr/share/doc/fp-units-base

%fpc_dir/units/%ppctarget/paszlib
%fpc_dir/units/%ppctarget/pasjpeg
%fpc_dir/units/%ppctarget/ncurses
%fpc_dir/units/%ppctarget/x11
%fpc_dir/units/%ppctarget/regexpr
%fpc_dir/units/%ppctarget/hash
%fpc_dir/units/%ppctarget/uuid
%fpc_dir/units/%ppctarget/fppkg

# packages/fcl
%package units-fcl
Summary: Free Pascal -- Free Component Library
Group: Development/Other
#Requires: %name = %version-%release

%description units-fcl
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains the Free Component Library for the Free Pascal Compiler.
 
%files units-fcl
#%doc /usr/share/doc/fp-units-fcl
%fpc_dir/units/%ppctarget/fcl-base
%fpc_dir/units/%ppctarget/fcl-db
%fpc_dir/units/%ppctarget/fcl-fpcunit
%fpc_dir/units/%ppctarget/fcl-image
%fpc_dir/units/%ppctarget/fcl-net
%fpc_dir/units/%ppctarget/fcl-passrc
%fpc_dir/units/%ppctarget/fcl-registry
%fpc_dir/units/%ppctarget/fcl-web
%fpc_dir/units/%ppctarget/fcl-xml

# packages/fv
%package -n %name-units-fv
Summary: Free Pascal -- Free Vision units
Group: Development/Other
#Requires: %name = %version-%release

%description -n %name-units-fv
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains the Free Vision units for the Free Pascal Compiler.
 
%files -n %name-units-fv
#%doc /usr/share/doc/fp-units-fv
%fpc_dir/units/%ppctarget/fv

# packages/gtk
%package units-gtk
Summary: Free Pascal -- GTK 1.2 units
Group: Development/Other
#Requires: %name = %version-%release

%description units-gtk
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units and examples to create
programs with GTK 1.2.
 
%files units-gtk
#%doc /usr/share/doc/fp-units-gtk
%fpc_dir/units/%ppctarget/gtk
%fpc_dir/units/%ppctarget/fpgtk

# packages/gtk2
%package units-gtk2
Summary: Free Pascal -- GTK 2.x units
Group: Development/Other
#Requires: %name = %version-%release

%description units-gtk2
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units and examples to create
programs with GTK 2.x.

%files units-gtk2
#%doc /usr/share/doc/fp-units-gtk2
%fpc_dir/units/%ppctarget/gtk2

# packages/gnome1
%package units-gnome1
Summary: Free Pascal -- GNOME 1 units
Group: Development/Other
#Requires: %name = %version-%release

%description units-gnome1
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units and examples to create
programs with GNOME 1.
 
%files units-gnome1
#%doc /usr/share/doc/fp-units-gnome1
%fpc_dir/units/%ppctarget/imlib
%fpc_dir/units/%ppctarget/gnome
%fpc_dir/units/%ppctarget/gconf
%fpc_dir/units/%ppctarget/zvt

# packages/db
%package -n %name-units-db
Summary: Free Pascal -- database libraries units
Group: Development/Other
#Requires: %name = %version-%release

%description -n %name-units-db
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units with bindings for:
    - MySQL
    - Interbase
    - PostgreSQL
    - Oracle
    - ODBC
    - GDBM
    - SQLite
    - LDAP
		 
%files -n %name-units-db
#%doc /usr/share/doc/fp-units-db
%fpc_dir/units/%ppctarget/mysql
%fpc_dir/units/%ppctarget/ibase
%fpc_dir/units/%ppctarget/postgres
%fpc_dir/units/%ppctarget/oracle
%fpc_dir/units/%ppctarget/odbc
%fpc_dir/units/%ppctarget/gdbm
%fpc_dir/units/%ppctarget/sqlite
%fpc_dir/units/%ppctarget/ldap

# packages/gfx
%package units-gfx
Summary: Free Pascal -- graphics libraries units
Group: Development/Other
#Requires: %name = %version-%release

%description units-gfx
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units with bindings for:
    - Forms 0.88
    - Svgalib
    - GGI
    - OpenGL
    - Cairo
	   		 
%files units-gfx
#%doc /usr/share/doc/fp-units-gfx
%fpc_dir/units/%ppctarget/opengl
%fpc_dir/units/%ppctarget/forms
%fpc_dir/units/%ppctarget/svgalib
%fpc_dir/units/%ppctarget/ggi
%fpc_dir/units/%ppctarget/libgd
%fpc_dir/units/%ppctarget/libpng
%fpc_dir/units/%ppctarget/graph
%fpc_dir/units/%ppctarget/openal
%fpc_dir/units/%ppctarget/cairo
%_bindir/fd2pascal
%_man1dir/fd2pascal.1*


# packages/net
%package units-net
Summary: Free Pascal -- networking units
Group: Development/Other
#Requires: %name = %version-%release

%description units-net
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units for creating network tools:
    - NetDB unit for TCP/IP handling
    - LibAsync unit for easy Asynchronous IO
	   		 
%files units-net
#%doc /usr/share/doc/fp-units-net
%fpc_dir/units/%ppctarget/netdb
%fpc_dir/units/%ppctarget/libasync
%fpc_dir/units/%ppctarget/libcurl
%fpc_dir/units/%ppctarget/dbus
%fpc_dir/units/%ppctarget/httpd*
%fpc_dir/units/%ppctarget/openssl
%fpc_dir/units/%ppctarget/pcap

# packages/misc
%package units-misc
Summary: Free Pascal -- miscellaneous units
Group: Development/Other
#Requires: %name = %version-%release

%description units-misc
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
Free Pascal miscellaneous units for:
    - Utmp
    - PasZLib (Pascal-only zlib implementation)
	   		 
%files units-misc
#%doc /usr/share/doc/fp-units-misc
%fpc_dir/units/%ppctarget/utmp
%fpc_dir/units/%ppctarget/libc
%fpc_dir/units/%ppctarget/pthreads
%fpc_dir/units/%ppctarget/unixutil
%fpc_dir/units/%ppctarget/zlib
%fpc_dir/units/%ppctarget/tcl
%fpc_dir/units/%ppctarget/cdrom
%fpc_dir/units/%ppctarget/bfd
%fpc_dir/units/%ppctarget/syslog
%fpc_dir/units/%ppctarget/gdbint
%fpc_dir/units/%ppctarget/unzip
%fpc_dir/units/%ppctarget/newt
%fpc_dir/units/%ppctarget/fftw

# packages/media
%package units-media
Summary: Free Pascal -- graphics libraries units
Group: Development/Other
#Requires: %name = %version-%release

%description units-media
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
This package contains Free Pascal units with bindings for:
    - a52
    - DTS (http://www.videolan.org/developers/libdca.html)	   		 
    - oggvorbis
    - modplug
    - mad
    
%files units-media
%fpc_dir/units/%ppctarget/a52
%fpc_dir/units/%ppctarget/dts
%fpc_dir/units/%ppctarget/oggvorbis
%fpc_dir/units/%ppctarget/mad
%fpc_dir/units/%ppctarget/modplug

# ide
%package ide
Summary: Free Pascal -- IDE
Group: Development/Other
#Requires: %name = %version-%release

%description ide
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32/64-bit
Pascal Compiler. It comes with a fully compatible TP 7.0 runtime library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked and created. Basic Delphi support is already
implemented (classes, exceptions, ansistrings). This package contains the
Integrated Development Environment (IDE). The IDE has an internal compiler.
You need at least the RTL package before you can start  compiling anything.

%post ide
%update_menus

%postun ide
%clean_menus
	   		 
%files ide
#%doc /usr/share/doc/fp-ide
%_bindir/fp
%fpc_dir/ide
%_man1dir/fp.1*
%_datadir/doc/%name-%version/readme.ide
%_datadir/pixmaps/*
%_datadir/applications/*

# src
%if %makesrc
%package src
Summary: Source of Free Pascal
Group: Development/Other
#Requires: %name = %version-%release

%description src
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions, ansistrings, RTTI). This package contains the sources for the
commandline compiler and utils. Provided units are the runtime library (RTL),
free component library (FCL), gtk, ncurses, zlib, mysql, postgres, ibase
bindings and many more.

%files src
%_datadir/fpcsrc
%endif

%if %makedoc
%package docs
Group: Documentation
Summary: Free Pascal Compiler - Documentation
%description docs
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible 32bit
Pascal Compiler. It comes with fully TP 7.0 compatible run-time library.
Some extensions are added to the language, like function overloading. Shared
libraries can be linked. Basic Delphi support is already implemented (classes,
exceptions,ansistrings,RTTI). This package contains commandline compiler and
utils. Provided units are the runtime library (RTL), free component library
(FCL), gtk,ncurses,zlib, mysql,postgres,ibase bindings.
This package contains the documentation in PDF format

%files docs
%doc %docdir/*.pdf

%endif

# win32
%package win32
Summary: Free Pascal runtime library units cross-compiled for win32
Group: Development/Other
Requires: %name = %version-%release
#Requires: i386-mingw32msvc-binutils

%description win32
The Free Pascal Compiler is a Turbo Pascal 7.0 and Delphi compatible
32/64-bit Pascal Compiler. It comes with a fully compatible TP 7.0
runtime library.

%files win32
%ifnarch %ix86
%_bindir/ppc386
%fpc_dir/ppc386
%endif
%fpc_files *-win32 rtl

%changelog
* Wed Aug 01 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 2.1.4-alt2
- rebuilt with new fpc

* Tue May 22 2007 Slava Dubrovskiy <dubrsl@altlinux.org> 2.1.4-alt1
- New version
- subpackages: fpc-units-rtl, fpc-compiler, fpc-units-base, fpc-ide, fpc-units-fcl, fpc-units-fv,
  fpc-units-gtk, fpc-units-gtk2, fpc-units-gnome1, fpc-units-db, fpc-units-gfx, fpc-units-net,
  fpc-units-misc, fpc-units-media, fpc-src
 
* Thu Feb 01 2007 Alexey Tourbin <at@altlinux.ru> 2.1-alt3
- updated to svn revision 6276

* Sun Jan 21 2007 Alexey Tourbin <at@altlinux.ru> 2.1-alt2
- updated to svn revision 6095 (fixes x86_64 build)
- packaged %_bindir/msg2inc

* Thu Jan 18 2007 Alexey Tourbin <at@altlinux.ru> 2.1-alt1
- this release is based on 2.1 development branch
- imported compiler/ and rtl/ from svn trunk; adapted for gear
- packaged internal compiler units into fpc-compunits package
- rtl/inc/videoh.inc: changed max screen width from 132 to 240
- fpc-win32: removed mingw32 binutils dependency (internal linker on)

* Sat Sep 16 2006 Alexey Tourbin <at@altlinux.ru> 2.0.4-alt2.1
- removed fpcmake from build requires; this should now build
  on x86_64, but will fail on i586, which is ok

* Sat Sep 16 2006 Alexey Tourbin <at@altlinux.ru> 2.0.4-alt2
- don't strip static libraries

* Sun Sep 10 2006 Alexey Tourbin <at@altlinux.ru> 2.0.4-alt1
- 2.0.2 -> 2.0.4+ (svn revision 4597)
- only fpc and rtl packaged now from here; buncha funky wild-ass
  units to be packaged separately
- fpc-win32 now works on x86_84 (as well as x86)

* Tue May 02 2006 Alexey Tourbin <at@altlinux.ru> 2.0.2-alt1
- 2.0.0 -> 2.0.2, Sisyphus release
- x86_64 build ok
- subpackages: fpc, fpc-utils, fpc-packages, fpc-ide, etc.;
  fpc-win32: cross-compile for win32 (i586 only)
- docs will be packaged separately
- TODO: examples unpackaged

* Fri Oct 21 2005 Alexey Tourbin <at@altlinux.ru> 2.0.0-alt1
- 1.0.10 -> 2.0.0
- fpcdir:='%_libdir/fpc2'; fpcdocdir:='%_docdir/fpc2'
- forward release for Daedalus

* Tue Feb 11 2004 Sergey P. Kondratyev <seirge@altlinux.ru> 1.0.10-alt1
- new version + docs and examples

* Mon Oct 07 2002 Michael Shigorin <mike@altlinux.ru> 1.0.6-alt1.1
- spec cleanup

* Sat Sep 19 2002 Sergey <skrivulja@erec.ru>
- adopted for Master

